//적외선 라인센서를 활용한 라인트레이서 구현
//바퀴 위치 및 회전방향에 따른 핀번호(~PWM) 변수 설정
int wheelLeftFront = 6, wheelLeftBack = 5;
int wheelRightFront = 9, wheelRightBack = 10;
//핀 번호 변수 선언
int irSensorLeft = 3;
int irSensorRight = 2;

int Spd = 170;

void setup() {
  Serial.begin(9600);
  pinMode(irSensorLeft, INPUT);
  pinMode(irSensorRight, INPUT);
  pinMode(wheelLeftFront, OUTPUT);
  pinMode(wheelLeftBack, OUTPUT);
  pinMode(wheelRightFront, OUTPUT);
  pinMode(wheelRightBack, OUTPUT);
}

void loop() {
  int lineL, lineR;
  lineL = digitalRead(irSensorLeft);
  lineR = digitalRead(irSensorRight);
//   Serial.print("Left Senser : ");
//   Serial.println(lineL);
//   Serial.print("Right Senser : ");
//   Serial.println(lineR);
  //센서가 검은색을 감지하면 1, 감지 못하면 0
  if(lineR == 0 && lineL == 0) {
    //전진
    analogWrite(wheelLeftFront, Spd); // 왼쪽 전진
    analogWrite(wheelLeftBack, 0); // 왼쪽 후진
    analogWrite(wheelRightFront, Spd); //오른쪽 전진
    analogWrite(wheelRightBack, 0); // 오른쪽 후진
  }
  else if(lineR == 0 && lineL == 1) {
    analogWrite(wheelLeftFront, 0); // 왼쪽 전진
    analogWrite(wheelLeftBack, Spd); // 왼쪽 후진
    analogWrite(wheelRightFront, Spd); //오른쪽 전진
    analogWrite(wheelRightBack, 0); // 오른쪽 후진
  }
  else if(lineR == 1 && lineL == 0) {
    analogWrite(wheelLeftFront, Spd); // 왼쪽 전진
    analogWrite(wheelLeftBack, 0); // 왼쪽 후진
    analogWrite(wheelRightFront, 0); //오른쪽 전진
    analogWrite(wheelRightBack, Spd); // 오른쪽 후진
  }
  else if(lineR == 1 && lineL == 1) {
    analogWrite(wheelLeftFront, 0); // 왼쪽 전진
    analogWrite(wheelLeftBack, 0); // 왼쪽 후진
    analogWrite(wheelRightFront, 0); //오른쪽 전진
    analogWrite(wheelRightBack, 0); // 오른쪽 후진
  }
}


